Back-office overview stats
GET /api/overview. Back-office overview stats. Headless LMS Reporting API reference.
Requires analytics:read.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/overview"{ "publishedCourses": -9007199254740991, "draftCourses": -9007199254740991, "activeStudents": -9007199254740991, "expiringSoon": -9007199254740991, "upcomingEvents": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}A person's progress across courses GET
GET /api/students/{id}/analytics. A person's progress across courses. Headless LMS Reporting API reference.
Enrollments granted per day over a trailing window GET
GET /api/overview/enrollments. Enrollments granted per day over a trailing window. Headless LMS Reporting API reference.